<ng-container *ngIf="dispatchView">
  <div class="e-card2  eh-p-6 eh-my-8">
    <div fxLayout="row" fxLayoutAlign="flex-end center">
      <div class="eh-w-20" fxLayout="row" fxlayoutAlign="center center">
        <mat-icon *ngIf="hasChanged" class="e-mat-icon e-mat-icon--3 e-txt e-txt--matred600">warning</mat-icon>
      </div>
      <div class="eh-ml-8">
        <app-button-icon icon="settings_backup_restore" iconStyle="e-mat-icon--3 e-txt e-txt--matred600"
          [disabled]="saving || deleting" (onButtonClick)="reset()">
        </app-button-icon>
      </div>

      <app-button-icon class="eh-ml-4" icon="save" iconStyle="e-mat-icon--3 e-txt e-txt--matgreen500" [loading]="saving"
        [disabled]="deleting" (onButtonClick)="save()">
      </app-button-icon>

      <app-button-icon class="eh-ml-4" icon="delete" [loading]="deleting" [disabled]="saving"
        (onButtonClick)="delete()">
      </app-button-icon>
    </div>
    <div class="eh-py-6 eh-px-4" fxLayout="column" fxLayoutAlign="start" [formGroup]="logFG">
      <div class="eh-txt-12">
        Date : {{dateFC.value | date:'mediumDate'}}
      </div>

      <div class="eh-py-4" fxLayout="row" fxLayoutAlign="start baseline">
        <div fxFlex="0 0 30%" class="eh-txt-12 eh-mt-10">
          Chest (in)
        </div>
        <div fxFlex="0 0 70%">
          <input class="eh-w-140p eh-txt-12 e-brd e-brd--bottom e-brd--egrey400 " type="number" formControlName="chest"
            [ngClass]="{'e-brd--error': !chestFC.pristine && !chestFC.valid}">
        </div>
      </div>
      <div class="eh-py-4" fxLayout="row" fxLayoutAlign="start baseline">
        <div fxFlex="0 0 30%" class="eh-txt-12 eh-mt-10">
          Mid Arm (in)
        </div>
        <div fxFlex="0 0 70%">
          <input class="eh-w-140p eh-txt-12 e-brd e-brd--bottom e-brd--egrey400 " type="number" formControlName="midArm"
            [ngClass]="{'e-brd--error': !midArmFC.pristine && !midArmFC.valid}">
        </div>
      </div>
      <div class="eh-py-4" fxLayout="row" fxLayoutAlign="start baseline">
        <div fxFlex="0 0 30%" class="eh-txt-12 eh-mt-10">
          Abs (in
        </div>
        <div fxFlex="0 0 70%">
          <input class=" eh-txt-12 e-brd e-brd--bottom e-brd--egrey400 " type="number" formControlName="abs"
            [ngClass]="{'e-brd--error': !absFC.pristine && !absFC.valid}">
        </div>
      </div>
      <div class="eh-py-4" fxLayout="row" fxLayoutAlign="start baseline">
        <div fxFlex="0 0 30%" class="eh-txt-12 eh-mt-10">
          Hips (in)
        </div>
        <div fxFlex="0 0 70%">
          <input class=" eh-txt-12 e-brd e-brd--bottom e-brd--egrey400 " type="number" formControlName="hips"
            [ngClass]="{'e-brd--error': !hipsFC.pristine && !hipsFC.valid}">
        </div>
      </div>
      <div class="eh-py-4" fxLayout="row" fxLayoutAlign="start baseline">
        <div fxFlex="0 0 30%" class="eh-txt-12 eh-mt-10">
          Thighs (in)
        </div>
        <div fxFlex="0 0 70%">
          <input class=" eh-txt-12 e-brd e-brd--bottom e-brd--egrey400 " type="number" formControlName="thighs"
            [ngClass]="{'e-brd--error': !thighsFC.pristine && !thighsFC.valid}">
        </div>
      </div>
    </div>
  </div>
</ng-container>